Groovy Documentation

## org.codehaus.groovy.binding
[Java] Class MutualPropertyBinding

    java.lang.Object
      org.codehaus.groovy.binding.MutualPropertyBinding

All Implemented Interfaces:
  FullBinding

    public class MutualPropertyBinding

Authors:
  Danno Ferrin

Version:
  \$Revision: 10897 \$

Since:
  Groovy 1.6

Method Summary
`void` | `bind()`
`Closure` | `getConverter()`
`Closure` | `getReverseConverter()`
`SourceBinding` | `getSourceBinding()`
`TargetBinding` | `getTargetBinding()`
`Closure` | `getValidator()`
`void` | `rebind()`
`protected void` | `rebuildBindings()`
`void` | `reverseUpdate()`
`void` | `setConverter(Closure converter)`
`void` | `setReverseConverter(Closure reverseConverter)`
`void` | `setSourceBinding(SourceBinding sourceBinding)`
`void` | `setTargetBinding(TargetBinding targetBinding)`
`void` | `setValidator(Closure validator)`
`void` | `unbind()`
`void` | `update()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### bind

    public void bind()

### getConverter

    public Closure getConverter()

### getReverseConverter

    public Closure getReverseConverter()

### getSourceBinding

    public SourceBinding getSourceBinding()

### getTargetBinding

    public TargetBinding getTargetBinding()

### getValidator

    public Closure getValidator()

### rebind

    public void rebind()

### rebuildBindings

    protected void rebuildBindings()

### reverseUpdate

    public void reverseUpdate()

### setConverter

    public void setConverter(Closure converter)

### setReverseConverter

    public void setReverseConverter(Closure reverseConverter)

### setSourceBinding

    public void setSourceBinding(SourceBinding sourceBinding)

### setTargetBinding

    public void setTargetBinding(TargetBinding targetBinding)

### setValidator

    public void setValidator(Closure validator)

### unbind

    public void unbind()

### update

    public void update()

Groovy Documentation